#include<iostream>
#include<vector>
#include<iomanip>
using namespace std;
int main () {
	int i, nesto, broj, kraj, duzina;
	string t, tt;
	cin>>t;
	tt=t;
	nesto=t.size()-1;
	for(i=0; i<=nesto; i++) {
			if(t[i]!=t[nesto]){
					 broj=t.find(t[i], i+1);
				if(broj>nesto || broj==string::npos) {
					swap(t[t.size()/2], t[i]);
				}
				else swap(t[broj], t[nesto]);	
			}
			nesto=nesto-1;	
			}

	
	vector<int>v;
	for(int i=0; i<t.size(); i++) {
		if(t[i]!=tt[i]) v.push_back(i);
	}
	duzina=v.size();
	if(duzina==0){
	kraj=1;
}
else
kraj=v[v.size()-1] -v[0]+ 1;
cout<<kraj;

return 0;
}